about summary refs log tree commit diff
path: root/tests/simple.builder.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2004-05-04T12·15+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2004-05-04T12·15+0000
commit256eeab7112da2d5fe1629ffb8b86640a894ee6d (patch)
treed173bcf930f86c296793a0cd20c7c83900c0bd18 /tests/simple.builder.sh
parentfd927c5d25f1518dcbf99a57223f46fe098d9011 (diff)
* Allow the location of the store etc. to be specified using
  environment variables.
* Started adding some automatic tests.
* Do a `make check' when building RPMs.

Diffstat (limited to 'tests/simple.builder.sh')
-rw-r--r--tests/simple.builder.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/simple.builder.sh b/tests/simple.builder.sh
new file mode 100644
index 0000000000..dcd9bdb64a
--- /dev/null
+++ b/tests/simple.builder.sh
@@ -0,0 +1,11 @@
+echo "PATH=$PATH"
+
+# Verify that the PATH is empty.
+if mkdir foo; then exit 1; fi
+
+# Set a PATH (!!! impure).
+export PATH=/bin:/usr/bin:$PATH
+
+mkdir $out
+
+echo "Hello World!" > $out/hello
\ No newline at end of file